package com.ruoyi.kaohe.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 投票选项对象 kh_vote_emp
 *
 * @author hs
 * @date 2025-06-23
 */
public class KhVoteEmp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 考核类型id */
    @Excel(name = "考核类型id")
    private Long khitemTypeid;

    /** 投票id */
    @Excel(name = "投票id")
    private Long voteId;

    /** 投票主题 */
    @Excel(name = "投票主题")
    private String voteTitle;

    /** 被考核对象id */
    @Excel(name = "被考核对象id")
    private Long bkhdxId;

    /** 被考核对象名称 */
    @Excel(name = "被考核对象名称")
    private String bkhdxName;

    /** 选项内容 */
    @Excel(name = "选项内容")
    private String content;

    /** 优秀 */
    @Excel(name = "优秀")
    private BigDecimal optionA;

    /** 合格 */
    @Excel(name = "合格")
    private BigDecimal optionB;

    /** 基本合格 */
    @Excel(name = "基本合格")
    private BigDecimal optionC;

    /** 不合格 */
    @Excel(name = "不合格")
    private BigDecimal optionD;

    /** 投票人数 */
    @Excel(name = "投票人数")
    private BigDecimal voteNum;

    /** 总分数 */
    @Excel(name = "总分数")
    private BigDecimal voteScore;

    /** 平均分数 */
    @Excel(name = "平均分数")
    private BigDecimal avgScore;

    /** 评分占比(0-1之间) */
    @Excel(name = "评分占比(0-1之间)")
    private BigDecimal percentage;

    /** 最终分数 */
    @Excel(name = "最终分数")
    private BigDecimal endScore;

    //仅做参数  传递本次评分分数
    private BigDecimal score;

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setKhitemTypeid(Long khitemTypeid)
    {
        this.khitemTypeid = khitemTypeid;
    }

    public Long getKhitemTypeid()
    {
        return khitemTypeid;
    }

    public void setVoteId(Long voteId)
    {
        this.voteId = voteId;
    }

    public Long getVoteId()
    {
        return voteId;
    }

    public void setVoteTitle(String voteTitle)
    {
        this.voteTitle = voteTitle;
    }

    public String getVoteTitle()
    {
        return voteTitle;
    }

    public void setBkhdxId(Long bkhdxId)
    {
        this.bkhdxId = bkhdxId;
    }

    public Long getBkhdxId()
    {
        return bkhdxId;
    }

    public void setBkhdxName(String bkhdxName)
    {
        this.bkhdxName = bkhdxName;
    }

    public String getBkhdxName()
    {
        return bkhdxName;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }



    public void setAvgScore(BigDecimal avgScore)
    {
        this.avgScore = avgScore;
    }

    public BigDecimal getAvgScore()
    {
        return avgScore;
    }

    public void setPercentage(BigDecimal percentage)
    {
        this.percentage = percentage;
    }

    public BigDecimal getPercentage()
    {
        return percentage;
    }

    public BigDecimal getOptionA() {
        return optionA;
    }

    public void setOptionA(BigDecimal optionA) {
        this.optionA = optionA;
    }

    public BigDecimal getOptionB() {
        return optionB;
    }

    public void setOptionB(BigDecimal optionB) {
        this.optionB = optionB;
    }

    public BigDecimal getOptionC() {
        return optionC;
    }

    public void setOptionC(BigDecimal optionC) {
        this.optionC = optionC;
    }

    public BigDecimal getOptionD() {
        return optionD;
    }

    public void setOptionD(BigDecimal optionD) {
        this.optionD = optionD;
    }

    public BigDecimal getVoteNum() {
        return voteNum;
    }

    public void setVoteNum(BigDecimal voteNum) {
        this.voteNum = voteNum;
    }

    public BigDecimal getVoteScore() {
        return voteScore;
    }

    public void setVoteScore(BigDecimal voteScore) {
        this.voteScore = voteScore;
    }

    public BigDecimal getEndScore() {
        return endScore;
    }

    public void setEndScore(BigDecimal endScore) {
        this.endScore = endScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("khitemTypeid", getKhitemTypeid())
                .append("voteId", getVoteId())
                .append("voteTitle", getVoteTitle())
                .append("bkhdxId", getBkhdxId())
                .append("bkhdxName", getBkhdxName())
                .append("content", getContent())
                .append("voteNum", getVoteNum())
                .append("optionA", getOptionA())
                .append("optionB", getOptionB())
                .append("optionC", getOptionC())
                .append("optionD", getOptionD())
                .append("voteScore", getVoteScore())
                .append("avgScore", getAvgScore())
                .append("percentage", getPercentage())
                .append("endScore", getEndScore())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
